package refactored;

import java.io.FileNotFoundException;

/**
 * You may need to change the path to the text files, if you are not in a "refactored"
 * package. It is hard-coded in two places below.
 * 
 */
public class SalesTester {

	public static void main(String[] args) throws FileNotFoundException {
		String report;
		SalesData salesData = new SalesData();

		salesData.readData("src\\refactored\\liard.txt", "Liard Springs");
		report = salesData.getReport("short", "fancy");
		System.out.println(report);

		report = salesData.getReport("short", "brief");
		System.out.println(report);

		report = salesData.getReport("long", "brief");
		System.out.println(report);

		System.out.println();
		report = salesData.getReport("long", "fancy");
		System.out.println(report);

		System.out.println();
		report = salesData.getReport("long+taxes", "brief");
		System.out.println(report);

		SalesData salesData2 = new SalesData();

		salesData2.readData("src\\refactored\\bb.txt", "Beneath & Before");
		report = salesData2.getReport("short", "fancy");
		System.out.println(report);

		System.out.println();
		report = salesData2.getReport("long", "fancy");
		System.out.println(report);

		System.out.println();
		report = salesData2.getReport("long+taxes", "brief");
		System.out.println(report);

	}

}
